local motionEvent = luajava.bindClass("com.soco.GameEngine.MotionEvent")
local gameManager = luajava.bindClass("com.soco.GameEngine.GameManager")

function loadAssetManager()
	print( 'in loadAssetManager()')
end

function initialize()
	print( 'in initialize()')
end

function paint()
	print( 'in paint()')
end

function run()
	print( 'in run()')
end


function onKeyDown(keyCode,msg)
	print( 'in onKeyDown()','keyCode=',keyCode,'msg=',msg)
end

function onKeyUp(keyCode,msg)
	print( 'in onKeyUp()','keyCode=',keyCode,'msg=',msg)
end
function onTouchEvent(event)
	print( 'in onTouchEvent()','event=',event)
	if event:getAction()==motionEvent.ACTION_UP then	
		gameManager:ChangeModule(nil);			
	end
end
function onUITouchEvent(ui,event)
	print( 'in onUITouchEvent()','ui=',ui,'event=',ui)
end
function touchDown(x, y, pointer, button)
	print( 'in touchDown()','x=',x,'y=',y,'pointer=',pointer,'button=',button)
end
function tap(x, y, count, button)
	print( 'in tap()','x=',x,'y=',y,'count=',count,'button=',button)
end
function longPress(x, y)
	longPress( 'in longPress()','x=',x,'y=',y)
end
function fling(velocityX, velocityY, button)
	print( 'in fling()','velocityX=',velocityX,'velocityY=',velocityY,'button=',button)
end
function pan(x, y, deltaX, deltaY)
	print( 'in pan()','x=',x,'y=',y,'deltaX=',deltaX,'deltaY=',deltaY)
end
function panStop(x, y, pointer, button)
	print( 'in panStop()','x=',x,'y=',y,'deltaX=',pointer,'deltaY=',button)
end
function zoom(initialDistance, distance)
	print( 'in zoom()','initialDistance=',initialDistance,'distance=',distance)
end
function pinch(initialPointer1, initialPointer2, pointer1, pointer2)
	print( 'in pinch()','initialPointer1=',initialPointer1,'initialPointer2=',initialPointer2,'pointer1=',pointer1,'pointer2=',pointer2)
end


